LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 05-13-2003, 11:08 AM   #1
suriyamohan
Member
 
Registered: Mar 2003
Location: Coimbatore
Posts: 50

Rep: Reputation: 15
Thumbs up lilo.conf boot loader problem


Hi,
I am currently working in Red Hat Linux 8.0, Kernel 2.4.18-14. Inorder to support intel810 frame buffer driver, i applied the relevant patch to kernel 2.4.17 and compiled the kernel successfully. I need to change the "lilo.conf" file to load the newly compiled kernel. The lilo.conf file is as follows after the updation. But problem occurs during boot up, indicating Kernel panic.

# /etc/lilo.conf

prompt
timeout=50
default=linux
boot=/dev/hdc
map=/boot/map
install=/boot/boot.b
message=/boot/message
lba32

# Downloaded new kernel

image=/boot/vmlinuz-2.4.17
label=linuxnew
initrd=/boot/initrd-2.4.17.img
read-only
append="root=LABEL=/" # I suspect this line for
# boot up problem

# This kernel is from installing Linux from CDROM

image=/boot/vmlinuz-2.4.18-14
label=linux
initrd=/boot/initrd-2.4.18-14.img
read-only
append="root=LABEL=/" # This kernel works fine

other=/dev/hdc1
optional
label=DOS

How to overcome the aforesaid problem ?
 
Old 05-13-2003, 12:50 PM   #2
jtshaw
Senior Member
 
Registered: Nov 2000
Location: Seattle, WA USA
Distribution: Ubuntu @ Home, RHEL @ Work
Posts: 3,892
Blog Entries: 1

Rep: Reputation: 67
Does it say anything about "Unable to mount root fs"? I have never seen the root=LABEL=/ way of setting root before. Other then that, if you are getting a kernel panic it is unlikely a LILO problem and more likely a bad kernel. You probably have something bad in your kernel configuration. Is that patch availible for the 2.4.18 or newer kernel? I hate to have to go backwards in kernel version to support a feature...

I guess what I really want to know is what is the last message before the Kernel Panic?

Last edited by jtshaw; 05-13-2003 at 12:54 PM.
 
Old 05-14-2003, 12:45 AM   #3
suriyamohan
Member
 
Registered: Mar 2003
Location: Coimbatore
Posts: 50

Original Poster
Rep: Reputation: 15
Thumbs up lilo.conf boot loader problem...

Hi,
The last message before kernal panic is as follows.

ds:no socket drivers loaded!
Kernel panic: I have no root and I want to scream

The kernel patches for intel framebuffer driver is available for kernel 2.4.18, 2.4.17, 2.4.9, 2.4.10 and etc, not greater than 2.4.18. I installed Red Hat linux 8.0, kernel 2.4.18-14 from CDROM. If i would apply patches for current existing kernel 2.4.18-14 and recompile the kernel and if any problem occurs during boot up I may not able to use linux itself. So what i decided is to select a kernel separately 2.4.17,apply patch to it and compile the same. No framebuffer driver patch is available for kernel version geater than current 2.4.18 kernel. Thats why i selected kernel 2.4.17. Hope this is not a problem.

I followed the guidelines to compile the kernel from the following link.
" http://linux.nixcraft.com/lessbs/kernel/ ".

I executed /sbin/lilo after updating the "lilo.conf" file. But still the problem occurs. How to overcome the aforesaid problem ?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
lilo.conf boot loader problem sh4n Linux - Newbie 8 02-12-2005 02:21 AM
lilo boot loader shadowsurfer Linux - Newbie 4 09-26-2004 01:41 PM
Lilo Boot Loader problem Vindane Slackware 4 06-06-2004 11:13 PM
Linux boot loader BRUB, LILO) problem. AskMe Linux - Newbie 5 01-06-2004 10:17 AM
lilo.conf : graphical boot problem Modify Debian 3 12-08-2003 04:34 PM


All times are GMT -5. The time now is 08:57 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration